/* ************************************************************************** 
 *             The Pebbles Personal Digital Assistant Project               *
 * **************************************************************************
 * This code was written as part of the Pebbles project at                  *
 * Carnegie Mellon University.  See the following for more information:     *
 *                http://www.cs.cmu.edu/~pebbles                            *
 * This code is being made available for free general non-commercial use.   *
 * For other conditions, see http://www.cs.cmu.edu/~pebbles/conditions.html *
 * Please contact us for more information: pebbles@cs.cmu.edu               *  
 *         Copyright (C) 1998-2000 - Carnegie Mellon University                  *
 * **************************************************************************/

/*
	This file describes the Pebbles protocol for communicating 
	between an application and PebblesPC using Windows Sockets

	These functions require ws2_32.lib to be linked with a project

	Designed and implemented by Ben Bostwick
*/

#ifndef _PEBBLESSOCKET_H_
#define _PEBBLESSOCKET_H_

// Initialize Windows Sockets and the PebblesSocket structure
bool PebblesSocketInit();

// Shut down Windows Sockets and the PebblesSocket strucutre
void PebblesSocketClose();

// Connect to a PebblesPC host
bool PebblesSocketConnect(char *plugname, char *hostname, int portnum);

// Receive data waiting at the socket (use after a call to PebblesSocketReceiveCheck returns TRUE)
bool PebblesSocketReceive(char *receiveBuf, int *receiveLen);

// Check to see if data is waiting at a socket
bool PebblesSocketReceiveCheck();

// Send data to PebblesPC
bool PebblesSocketSend(char *data, int len);

#endif